Bug 1645587 - Satellite throws Undefined method error while importing the CVv if clone CV isnt set
Summary: Satellite throws Undefined method error while importing the CVv if clone CV i...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Inter Satellite Sync
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
high
medium vote
Target Milestone: Released
Assignee: Chris Roberts
QA Contact: Jitendra Yejare
URL: https://projects.theforeman.org/issue...
Whiteboard:
Depends On:
Blocks: 1644596
TreeView+ depends on / blocked
 
Reported: 2018-11-02 15:12 UTC by Jitendra Yejare
Modified: 2019-10-07 17:20 UTC (History)
5 users (show)

Fixed In Version: tfm-rubygem-hammer_cli_katello-0.16.0.6-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:38:32 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github Katello hammer-cli-katello pull 624 None None None 2019-01-24 20:59:10 UTC
Foreman Issue Tracker 25919 None None None 2019-01-24 20:19:45 UTC
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:38:43 UTC

Description Jitendra Yejare 2018-11-02 15:12:43 UTC
Description of problem:

Satellite is throwing-
Could not import the content view.:
  Error: undefined method `[]' for nil:NilClass
if the clone CV is not present/created in importing Org/Satellite. We expect it to show a proper error/warning message asking the user to set the same name CV and Repo before importing the CVv.

Version-Release number of selected component (if applicable):
Satellite 6.5 snap 1

How reproducible:
Always

Steps to Reproduce:
1. Export the CVv from exporting satellite.
2. Don't create the CV and Repo with the same name as exporting CV and Repo before importing.
3. Attempt to import the CVv from exported tar.

Actual results:
Satellite is throwing an error:
```
Could not import the content view.:
  Error: undefined method `[]' for nil:NilClass
```

Expected results:
Satellite should show a proper error/warning message asking the user to set the same name CV and Repo before importing the CVv.


Additional info:

Comment 4 Jitendra Yejare 2019-01-24 09:29:04 UTC
ACK, Move this to GA

Comment 5 Bryan Kearney 2019-01-28 17:07:03 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/25919 has been resolved.

Comment 7 Jitendra Yejare 2019-02-04 09:01:25 UTC
Verified!

@ Satellite 6.5 snap 14

Steps:
---------

1. Exported the CVv from exporting satellite.
2. Didn't create the CV and Repo before importing.
3. Attempted to import the CVv from exported tar.


Behavior (Expected):
-----------------------
The satellite is showing correct message without any error in stdout.

# hammer content-view version import --export-tar /var/lib/pulp/katello-export/export-custom_cv-10.tar --organization-id 3
Could not import the content view:
  Error: The Content View custom_cv is not present on this server, please create the Content View and try the import again.

Comment 10 errata-xmlrpc 2019-05-14 12:38:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.